<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>io.seata</groupId>
		<artifactId>seata-build</artifactId>
		<version>1.6.1</version>
	</parent>
	<artifactId>seata-parent</artifactId>
	<packaging>pom</packaging>
	<name>Seata Parent POM 1.6.1</name>
	<description>parent for Seata built with Maven</description>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>io.seata</groupId>
				<artifactId>seata-dependencies</artifactId>
				<version>1.6.1</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<dependencies>
		<dependency>
			<groupId>org.junit.jupiter</groupId>
			<artifactId>junit-jupiter</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.junit.platform</groupId>
			<artifactId>junit-platform-launcher</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-core</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-junit-jupiter</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.assertj</groupId>
			<artifactId>assertj-core</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-simple</artifactId>
			<scope>test</scope>
		</dependency>
	</dependencies>
	<build>
		<extensions>
			<extension>
				<groupId>kr.motd.maven</groupId>
				<artifactId>os-maven-plugin</artifactId>
				<version>${os-maven-plugin.version}</version>
			</extension>
		</extensions>
		<plugins>
			<plugin>
				<artifactId>maven-source-plugin</artifactId>
				<version>${maven-source-plugin.version}</version>
				<executions>
					<execution>
						<phase>package</phase>
						<goals>
							<goal>jar-no-fork</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-pmd-plugin</artifactId>
				<version>${maven-pmd-plugin.version}</version>
				<executions>
					<execution>
						<phase>verify</phase>
						<goals>
							<goal>check</goal>
						</goals>
					</execution>
				</executions>
				<dependencies>
					<dependency>
						<groupId>com.alibaba.p3c</groupId>
						<artifactId>p3c-pmd</artifactId>
						<version>${p3c-pmd.version}</version>
					</dependency>
				</dependencies>
				<configuration>
					<sourceEncoding>${project.build.sourceEncoding}</sourceEncoding>
					<minimumPriority>2</minimumPriority>
					<printFailingErrors>true</printFailingErrors>
					<rulesets>
						<ruleset>rulesets/java/ali-comment.xml</ruleset>
						<ruleset>rulesets/java/ali-concurrent.xml</ruleset>
						<ruleset>rulesets/java/ali-constant.xml</ruleset>
						<ruleset>rulesets/java/ali-exception.xml</ruleset>
						<ruleset>rulesets/java/ali-flowcontrol.xml</ruleset>
						<ruleset>rulesets/java/ali-naming.xml</ruleset>
						<ruleset>rulesets/java/ali-oop.xml</ruleset>
						<ruleset>rulesets/java/ali-orm.xml</ruleset>
						<ruleset>rulesets/java/ali-other.xml</ruleset>
						<ruleset>rulesets/java/ali-set.xml</ruleset>
					</rulesets>
					<excludes>
						<exclude>**/generated/*.java</exclude>
						<exclude>**/antlr/mysql/parser/*.*</exclude>
						<exclude>**/antlr/mysql/antlr/*.*</exclude>
						<exclude>**/antlr/mysql/stream/ANTLRNoCaseStringStream.java</exclude>
					</excludes>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.jacoco</groupId>
				<artifactId>jacoco-maven-plugin</artifactId>
				<version>${jacoco-maven-plugin.version}</version>
				<executions>
					<execution>
						<goals>
							<goal>prepare-agent</goal>
						</goals>
					</execution>
					<execution>
						<id>report</id>
						<phase>test</phase>
						<goals>
							<goal>report</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>${maven-surefire-plugin.version}</version>
				<configuration>
					<argLine>${maven.surefire.argLine}</argLine>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<profiles>
		<profile>
			<id>licenseCheck</id>
			<build>
				<plugins>
					<plugin>
						<groupId>org.codehaus.mojo</groupId>
						<artifactId>license-maven-plugin</artifactId>
						<executions>
							<execution>
								<id>license-check</id>
								<phase>generate-sources</phase>
								<goals>
									<goal>add-third-party</goal>
								</goals>
								<configuration>
									<includeOptional>false</includeOptional>
									<useMissingFile>false</useMissingFile>
									<failOnMissing>false</failOnMissing>
									<licenseMerges>
										<licenseMerge>Apache License, Version 2.0|The Apache Software License, Version
                                            2.0|ASF 2.0|Apache 2|Apache-2.0|Apache 2.0 License|Apache 2.0|Apache License v2.0|Apache License 2.0|The Apache License, Version 2.0|The Apache Software License, Version 2.0</licenseMerge>
										<licenseMerge>The MIT License|MIT License</licenseMerge>
										<licenseMerge>The 3-Clause BSD License|New BSD License|3-Clause BSD
                                            License|BSD|3-Clause BSD License|The New BSD License</licenseMerge>
									</licenseMerges>
								</configuration>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
		<profile>
			<id>image</id>
			<properties>
				<dependencies.copy.skip>false</dependencies.copy.skip>
				<image.publish.skip>false</image.publish.skip>
				<image.tags>latest</image.tags>
				<mysql.jdbc.version>5.1.35</mysql.jdbc.version>
				<mysql8.jdbc.version>8.0.27</mysql8.jdbc.version>
			</properties>
		</profile>
		<profile>
			<id>release-image</id>
			<properties>
				<image.tags>${project.version},latest</image.tags>
			</properties>
		</profile>
		<profile>
			<id>arrch64</id>
			<properties>
				<os.detected.classifier>osx-x86_64</os.detected.classifier>
			</properties>
		</profile>
		<profile>
			<id>checkstyle</id>
			<activation>
				<jdk>[1.8,)</jdk>
			</activation>
			<build>
				<plugins>
					<plugin>
						<groupId>com.mycila</groupId>
						<artifactId>license-maven-plugin</artifactId>
						<version>3.0</version>
						<executions>
							<execution>
								<phase>generate-sources</phase>
								<goals>
									<goal>remove</goal>
									<goal>format</goal>
								</goals>
								<configuration>
									<quiet>true</quiet>
									<header>E:\JetReporstory\kw\seata/style/copyright</header>
									<includes>
										<include>**/src/main/java/**</include>
										<include>**/src/test/java/**</include>
									</includes>
									<excludes>
										<exclude>**/generated/**</exclude>
										<exclude>**/antlr/mysql/parser/*.*</exclude>
										<exclude>**/antlr/mysql/antlr/*.*</exclude>
										<exclude>**/antlr/mysql/stream/ANTLRNoCaseStringStream.java</exclude>
									</excludes>
									<strictCheck>true</strictCheck>
									<mapping>
										<java>SLASHSTAR_STYLE</java>
									</mapping>
								</configuration>
							</execution>
						</executions>
						<configuration>
							<quiet>true</quiet>
							<header>E:\JetReporstory\kw\seata/style/copyright</header>
							<includes>
								<include>**/src/main/java/**</include>
								<include>**/src/test/java/**</include>
							</includes>
							<excludes>
								<exclude>**/generated/**</exclude>
								<exclude>**/antlr/mysql/parser/*.*</exclude>
								<exclude>**/antlr/mysql/antlr/*.*</exclude>
								<exclude>**/antlr/mysql/stream/ANTLRNoCaseStringStream.java</exclude>
							</excludes>
							<strictCheck>true</strictCheck>
							<mapping>
								<java>SLASHSTAR_STYLE</java>
							</mapping>
						</configuration>
					</plugin>
					<plugin>
						<artifactId>maven-checkstyle-plugin</artifactId>
						<version>3.1.1</version>
						<executions>
							<execution>
								<id>validate</id>
								<phase>validate</phase>
								<goals>
									<goal>checkstyle</goal>
								</goals>
								<configuration>
									<configLocation>E:\JetReporstory\kw\seata/style/seata_checkstyle.xml</configLocation>
									<suppressionsLocation>E:\JetReporstory\kw\seata/style/seata_suppressions.xml</suppressionsLocation>
									<encoding>UTF-8</encoding>
									<consoleOutput>true</consoleOutput>
									<failsOnError>true</failsOnError>
								</configuration>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
			<properties>
				<os.detected.arch>x86_64</os.detected.arch>
				<os.detected.classifier>windows-x86_64</os.detected.classifier>
				<os.detected.name>windows</os.detected.name>
			</properties>
		</profile>
	</profiles>
</project>